%define name            jimi
%define version         1.0
%define cvs_version     1_0
%define release         9jpp_2rh
%define section         non-free

Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:          0
Summary:        Java imaging toolkit
License:        Sun Binary Code License
URL:            http://java.sun.com/products/jimi/
Group:          Development/Libraries/Java
#Vendor:         JPackage Project
#Distribution:   JPackage
Source0:        %{name}%{cvs_version}.zip
#NoSource:       0
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  /usr/bin/perl

%description
JIMI Software Development Kit Jimi is a class library for managing
images. Its primary function is image I/O. Jimi was formerly a product
of Activated Intelligence. Sun is making it available for developers who
have code with dependencies on Jimi or for those who need image I/O
functionality in applications running under 1.1.x versions of the JavaTM
Platform. Jimi's range of supported formats includes GIF, JPEG, TIFF,
PNG, PICT, Photoshop, BMP, Targa, ICO, CUR, Sunraster, XBM, XPM, and
PCX, although some of these formats do not have complete support for all
features.

%package manual
Summary:        Manual for %{name}
Group:          Development/Libraries/Java

%description manual
Documentation for %{name}.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%package demo
Summary:        Demo for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Group:          Development/Libraries/Java

%description demo
Demonstrations and samples for %{name}.

# -----------------------------------------------------------------------------

%prep
%setup -q -n Jimi

# use jar archive
unzip -q JimiProClasses.zip
jar cf %{name}.jar com
# correct examples
find examples -name "*.bat" -exec rm -f {} ';'
for file in `find examples -name *.html`; do
  perl -pi -e 's/JimiProClasses\.jar/jimi.jar/' $file
done
for file in `find examples -name *.sh`; do
  perl -pi -e 's|\$CLASSPATH:[./:]*JimiProClasses\.zip[./:]*|\$CLASSPATH:%{_javadir}/jimi.jar:.|' $file
done

# -----------------------------------------------------------------------------

%build

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p %{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && ln -sf %{name}-%{version}.jar %{name}.zip)
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/html/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
rm -rf docs/html/api

# data
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr examples $RPM_BUILD_ROOT%{_datadir}/%{name}

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

# -----------------------------------------------------------------------------

%files
%defattr(0644,root,root,0755)
%doc License Readme
%{_javadir}/*

%files manual
%defattr(0644,root,root,0755)
%doc docs/html/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}

# -----------------------------------------------------------------------------

%changelog
* Tue Nov 16 2004 Fernando Nasser <fnasser@redhat.com> - 0:1.0-9jpp_2rh
- Rebuild

* Fri Mar  5 2004 Frank Ch. Eigler <fche@redhat.com> - 0:1.0-9jpp_1rh
- RH vacuuming

* Mon May  5 2003 Ville Skytt <ville.skytta at iki.fi> - 0:1.0-9jpp
- Fix non-versioned javadoc symlinking.

* Tue Apr 22 2003 Ville Skytt <ville.skytta at iki.fi> - 0:1.0-8jpp
- Rebuild for JPackage 1.5.
- Include non-versioned javadoc symlink.
- Use sed instead of bash 2 extension when symlinking jars during build.
- Include experimental source fetching with lynx.

* Thu May 23 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-7jpp
- vendor, distribution, group tags

* Wed Apr 03 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-6jpp
- section macro
- nosrc package

* Thu Jan 17 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-5jpp
- javadoc in %%{javadocdir} again
- backward compatibility jimi.zip symlink

* Mon Jan 7 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-4jpp
- javadoc back to /usr/share/doc
- no dependencies for manual and javadoc packages
- stricter dependency for demo package
- javadoc package
- used original archive
- standardised summary

* Mon Dec 17 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-3jpp
- javadoc in javadoc package
- spec cleanup
- on-the-fly substitution instead of patch

* Wed Nov 21 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 1.0-2jpp
- removed packager tag
- new jpp extension

* Sat Nov 17 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 1.0-1mdk
- first release
